package com.ruoyi.pay.service;

import com.ruoyi.pay.domain.PaySubPlan;
import com.ruoyi.pay.domain.vo.PaySubPlanVo;
import com.ruoyi.pay.domain.bo.PaySubPlanBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 订阅套餐Service接口
 *
 * @author ruoyi
 * @date 2025-05-13
 */
public interface IPaySubPlanService {

    /**
     * 查询订阅套餐
     */
    PaySubPlanVo queryById(Long id);

    /**
     * 查询订阅套餐列表
     */
    TableDataInfo<PaySubPlanVo> queryPageList(PaySubPlanBo bo, PageQuery pageQuery);

    /**
     * 查询订阅套餐列表
     */
    List<PaySubPlanVo> queryList(PaySubPlanBo bo);

    /**
     * 新增订阅套餐
     */
    Boolean insertByBo(PaySubPlanBo bo);

    /**
     * 修改订阅套餐
     */
    Boolean updateByBo(PaySubPlanBo bo);

    /**
     * 校验并批量删除订阅套餐信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
